ParticleSystem File Reference
`#include <osgParticle/Export>`
`#include <osgParticle/Particle>`
`#include <vector>`
`#include <stack>`
`#include <algorithm>`
`#include <string>`
`#include <osg/Object>`
`#include <osg/Drawable>`
`#include <osg/CopyOp>`
`#include <osg/State>`
`#include <osg/Vec3>`
`#include <osg/BoundingBox>`
`#include <OpenThreads/Mutex>`
`#include <OpenThreads/ScopedLock>`

Go to the source code of this file.

## Classes

class | osgParticle::ParticleSystem
struct | osgParticle::ParticleSystem::ArrayData

## Namespaces

namespace | osgParticle

## Macros

#define | OSGPARTICLE_PARTICLESYSTEM 1

## Macro Definition Documentation

## OSGPARTICLE_PARTICLESYSTEM

#define OSGPARTICLE_PARTICLESYSTEM 1